meta:
  id: mar
  title: Mars Archive
  application: MSN Explorer
  file-extension: mar
  license: AGPL-3.0
  encoding: ascii
  endian: le
doc-ref: https://envs.net/~lucidiot/mar.html
seq:
  - contents: MARC
  - id: version
    type: u4
  - id: file_count
    type: u4
  - id: files
    type: file
    repeat: expr
    repeat-expr: file_count
types:
  file:
    seq:
      - id: name
        type: strz
        size: 56
      - id: size
        type: u4
      - id: crc32
        type: u4
      - id: offset
        type: u4
    instances:
      contents:
        io: _root._io
        pos: offset
        size: size
