---
title: books
---

## read

* Atul Gawande, The Checklist Manifesto: How to Get Things Right
* David Beazley & Brian K. Jones, Python Cookbook
* Arnold Robbins, Elbert Hannah & Linda Lamb, Learning the vi and Vim Editors
* Ryder Carroll, The Bullet Journal Method
* James Clear, Atomic Habits
* Thomas M. Steiner, Fully Engaged
* Bruce Benamran, Prenez le temps d'e-penser 1 and 2
* Alain, Éléments de philosophie
* Roberta Allen, Écrire une histoire en 5 minutes
* Randall Munroe, What If?
* Randall Munroe, How To
* Sönke Ahrens, How to Take Smart Notes
* William Ottens, Librarian Tales
* Greg McKeown, Essentialism
* Michael Linenberger, The One Minute To-Do List
* Todd Henry, The Accidental Creative
* David Bayles, Ted Orland, Art and Fear: Observations on the Perils (and Rewards) of Artmaking
* BJ Fogg, Tiny Habits
* Rosamund Stone Zander & Benjamin Zander, The Art of Possibility
* Devon Price, Laziness Does Not Exist
* Tiago Forte, Extend Your Mind: Praxis Volume 2
* Gerald M. Weinberg, Weinberg on Writing: the Fieldstone Method
* Ralph Fletcher, Breathing In, Breathing Out
* Bhante Henepola Gunaratana, Mindfulness in Plain English
* Celeste Headlee, Do Nothing
* Julia Cameron, The Right to Write
* Leonard Koren, [Wabi-sabi for artists, designers, poets and philosophers](https://archive.org/details/wabisabiforartis0000kore)
* Code Lyoko Chronicles, tome 1 : Le château souterrain
* Hubert Arnaud, Histoire de la géologie grenobloise
* Claire Angot, Lyon en quelques jours
* Eric Forey, Photographier l'urbain
* Bruno Garel, Deviens l'auteur⋅e de ta vie
* Bruno Moyen, Grenoble sous un autre angle
* Danny Ayers and Andrew Watt, Beginning RSS and Atom Programming
* Joël Leick, Friches
* Marion Rollin, Ecrire son journal : 80 propositions pour mieux saisir l'inspiration selon son humeur du jour
* Denis Dubesset, Les secrets de la photo minimaliste : concept, composition, esthétisme
* Eric Forey, Serial photographer
* Barry Loewer, 3 minutes pour comprendre les 50 plus grandes théories philosophiques
* Patrice Rosenberg, La philosophie
* Philippe Bachelier, Le guide pratique noir & blanc numérique
* Adrian Schultz, La photographie urbaine : prises de vue d'architecture et d'architecture d'intérieur
* Philippe Sergent, Les secrets de la photo urbex
* Gérard Corneloup, Lyon secret et insolite : les trésors cachés d'une mystérieuse
* Julie Olagnol, Lyon et le Lyonnais : 100 lieux pour les curieux
* Nadège Druzkowski, Lyon insolite et méconnu
* Marjorie Holmes, J'écris mon expérience de vie
* Christian Foex, Couleur Grenoble
* Franck Evrard, L'atelier d'écriture : 150 jeux de lettres et exercices de rédaction
* Charlotte Poussin, 3 minutes pour comprendre 50 principes clés de la pédagogie Montessori
* Gilles Peissel, Grenoble métamorphose d'une ville
* Christian Jarrett, 3 minutes pour comprendre les 50 plus grandes théories en psychologie

## reading

Aka books that are on my phone's ebook reader, and that I read at least one page from in the last year, or books that I am currently borrowing from my local public library.


## to read

* Mortimer J. Adler, Charles Van Doren, How to Read a Book
* Austin Kleon, Show Your Work
* Shane Parrish & Rhiannon Beaubien, The Great Mental Models
* MIT Press, [How to Design Programs](https://htdp.org/)
* Dan Gilbert, Stumbling on Happiness
* Kamal Ravikant, Love Yourself Like Your Life Depends On It
* Peter Suber, [The Paradox of Self-Amendment](http://legacy.earlham.edu/~peters/writing/psa/index.htm)
* G. Polya, How to Solve It
* Donella H. Meadows, Thinking in Systems: A Primer
* Kurt Jung, Beginning Lua Programming
* Richard A. Bartle, Designing Virtual Worlds
* Klaus North & Gita Kumta, Knowledge Management
* Code Lyoko Chronicles, tome 2 : L'armée du Néant
* Code Lyoko Chronicles, tome 3 : La ville sans nom
* Code Lyoko Chronicles, tome 4 : Le retour du Phoenix
* Andy Hunt, Pragmatic Thinking and Learning
* Ka Wai Cheung, The Developer's Code
* Lori Gottlieb, Maybe You Should Talk to Someone
* John Yates, Matthew Immergut, Jeremy Graves, The Mind Illuminated
* Thich Nhat Hanh, Happiness
* Kazuhiro Fujitaki, The Manga Guide to Electricity
* Piers Steel, The Procrastination Equation
* Seth Godlin, The Dip (with a [summary](https://commoncog.com/blog/seth-godin-the-dip/) from Cedric Chin)
* Caitlin Doughty, Smoke Gets in Your Eyes
* Mihaly Csikszentmihalyi, Flow
* Judith Jack Halberstam, The Queer Art of Failure
* Peter W. Merlin, [Breaking the Mishap Chain](https://www.nasa.gov/connect/ebooks/break_mishap_chain_detail.html)
* Peter W. Merlin, [Crash Course](https://www.nasa.gov/connect/ebooks/crash_course_detail.html)
* Michel Aguilar, Géocaching sanglant
* Chris Hadfield, An Astronaut's Guide to Life on Earth
* KC Davis, How to Keep House While Drowning
* Dave Johnson, RSS and Atom in Action
* Leslie M. Orchard, Hacking RSS and Atom

### recommended by ~dozens

* Michael Bungay Stanier, The Coaching Habit
* John Ousterhout, A Philosophy of Software Design
* Susan Orlean, The Library Book
* T. Kingfisher, A Wizard's Guide to Defensive Baking
* Björn Natthiko Lindeblad, I May Be Wrong

### recommended by ~m455

* Thomas T. Barker, Writing Software Documentation
* Michelle Carey, Moira McFadden Lanyi, Deirdre Longo, Eric Radzinski, Shannon Rouiller, Elizabeth Wilde, Developing Quality Technical Information
* Rude Eaton, Technical Editing
* Ann Rockley, Charles Cooper, Managing Enterprise Content

### At my local public library

* François Lurcat, Le Chaos
* Cyrille Michon, Qu'est-ce que le libre arbitre
* Peter Van Inwagen, Essai sur le libre arbitre
* Gérard Chazal, Logiques non standard
* Paul Mathevet, René Bouvier, Drames aériens dans le département de l'Isère
* Florence de Changy, Le vol MH370 n'a pas disparu
* Robert Galan, On a retrouvé les boîtes noires
* Ronan Hubert, Avions et sécurité
* Michel Polacco, Crash : pourquoi des avions s'écrasent-ils encore ?
* Stephen King, Dead Zone
* Stephen King, 22-11-63
* R.J. Ellory, Le jour où Kennedy n'est pas mort
* Robert J. Sawyer, Flash Forward
* Anna Saccani, La ville en toutes lettres
* Andy Weir, The Martian
* Rémy Lentzner, Mieux maîtriser Access
* Cécile Bonifas, 120 défis d'écriture pour : écrire sa vie : autobiographie, blog, journal...
* Patrice de Moncan, Les Passages couverts en Europe
* Emmanuelle Bermès, Le Web sémantique en bibliothèque
* Fabien Gandon, Le Web sémantique : comment lier les données et les schémas sur le Web ?
* Juliette Labaronne, Slow train : 30 échappées ferroviaires pour citadins en mal de nature
* Baptiste Roux, La poésie du rail : petite apologie du voyage en train
* Grenoble, Direction de l'Urbanisme, Cours et passages : Grenoble
* Vincent Cespedes, 3 minutes pour comprendre les 50 plus grandes théories des philosophes français
* Julie Hainaut, Lyon en quelques jours
* René Dejean, Traboules de Lyon : histoire secrète d'une ville
* Jean-François Mesplède, Lyon vertical
* Juliette Nothomb, Aimer Lyon : 200 adresses à partager
* Jacques Boucaud, S'installer à Lyon
* Pierrick Eberhard, Lyon et ses parcs et jardins
* Ludovic Battestini, La France du rail aujourd'hui
* Claudine Cartier, Patrimoine ferroviaire
* Cristiana Mazzoni, Gares : architectures 1990-2010
* Gérard Barbottin, Rédiger des textes techniques et scientifiques en français et en anglais : guide pratique
* Franck Ganier, Comprendre la documentation technique
* Karyn Poupée et al, Internet en Asie : Chine, Corée du Sud, Japon, Inde
* Michelin, Vacances en train
* Tim Cornbill, Le grand livre de la photo urbaine
* Henry Carroll, Le livre qu'il vous faut pour réussir vos photos
* Laurie Excell, Composition : pratique photo
* Anki Wijnen, Le guide de la photographie au smartphone
* Stephanie Roberts, La photo documentaire
* Jean-Christophe Béchet, Photographie : technique, pratique, esthétique
* Volker Gilbert, Les secrets de la lumière et de l'exposition
* Stéphane Asseline et al, Photographier l'architecture
* Horst Hamann, Vertical view
* Haje Jan Kamps, Les ciels couverts sont les amis des photographes : et 61 autres pistes de photographie créatives
* Yves Marchand, Détroit, vestiges du rêve américain
* Rinko Kawauchi, Cui cui
* David Michaud, Japon
* Carole Trébor, U4. Jules
* Yves Grevet, U4. Koridwen
* Vincent Villeminot, U4. Stéphane
* Florence Hinckel, U4. Yannis
* Yves Grevet et al., U4. Contagion
* Sébastien Onze, 150 défis d'écriture : pour en finir avec la page blanche
* Pierre Olivier, Ateliers écriture créative
* Franck Dumesnil, Les podcasts : écouter, s'abonner, créer
* Yves Constantinidis, Cahier des charges informatique
* Thomas Bailet, Architecture logicielle
* Robert C. Martin, Proprement codeur
* Robert C. Martin, Coder proprement
* Presses de l'EHESP, Hikikomori : une expérience de confinement
* Henri Pornon, SIG : la dimension géographique du système d'information
* Jean-Philippe Gouigoux, Open Data : consommation, traitement, analyse et visualisation de la donnée publique
* Emmanuel de Roux, Patrimoine industriel
* Jean-François Belhoste, Architectures et paysages industriels : l'invention d'un patrimoine
* Conseil Général de l'Isère, Atlas du patrimoine industriel de l'Isère
* La Manufacture, Le Guide du patrimoine industriel scientifique et technique
* Région Auvergne-Rhône-Alpes, Industries en héritage : Auvergne-Rhône-Alpes
* Bernard Marrey, Guide Rhône-Alpes de l'architecture du XXe siècle
* Jacques Joly, Paysage et politique de la ville : Grenoble 1965-1985
* Marie Kondo, La magie du rangement
* Marie Kondo, La magie du rangement au travail
* Marie Kondo, Ranger : l'étincelle du bonheur
* Thich Nhât Hanh, Le Miracle de la Pleine Conscience : manuel pratique de méditation
* John Perry, La procrastination : les bienfaits de reporter au lendemain
* Fumio Sasaki, L'essentiel et rien d'autre : l'art du minimalisme pour retrouver sa liberté d'être
* Matthew R. Walker, Pourquoi nous dormons : le pouvoir du sommeil et des rêves
* Adam Arthur Scaife, 3 minutes pour comprendre les 50 phénomènes essentiels de la météorologie
* Michael Freeman, Capturer la lumière : photographier toutes les ambiances
