---
title: How to Take Smart Notes, Sönke Ahrens, 2017
---

## Zettelkasten

Made by Niklas Luhmann.

1. Always have a way to take notes with you, then take notes of all your
   thoughts, ideas, questions, etc. you have through the day.
2. Process those notes no more than 48 hours to turn them into more permanent
   notes on various topics or ideas, or to research them further.
3. Try to find new relations between a new note and all the other existing
   notes.

### Reading

1. Take notes of all the thoughts, ideas, questions while reading.
2. Process the reading notes to make a note in a bibliography system with a
   summary of key ideas of the book, rephrased in our own words.
3. Process this summary to add new ideas to the permanent notes.
4. Try to find new relations between new permanent notes and the other existing
   notes.

---

* Ideas spark from creating relationships between two seemingly unrelated
  concepts.
* Human brains learn better with tightly-connected ideas.
* Rephrasing an argument, explaining a concept, in our own words is critical to
  understanding something.
  * That is probably where "the teacher learns more than the student" comes from
* The learning techniques used by most students, as well as most guides on
  learning or on academic writing, just don't work.

---

While the author aims academic writing in particular, I felt this book relates
to my own writings, especially for [brainshit](../brainshit.html).  I have a few
articles that could benefit from more research, and I am pretty sure taking more
notes would help me spark new blog post ideas.  I tend to often keep article
ideas in my mind, so I usually either forget them or start feeling anxious
because I can't just find something good to post and I want to post something.
