---
title: The Fieldstone Method, Gerald M. Weinberg, 2005
---

The book has some exercises in each chapter, which I chose not to care too much about.  If I feel the need to enhance my writing later on, I will probably go back to the book directly to find all the instructions.

* The standard method taught in schools to write essays does not work in the real world.
* Reading is sequential access; writing is more random.

## Writer's block

* Being unhappy about the amount of ideas you have (both not enough and too many), feeling stuck, and turning to some distraction before coming back.
  * This sounds like procrastination.

* Addiction is created by some action that feels good in the short term and bad in the long term, prompting to redo the action.

* Coming back to the writing task after getting a distraction brings back the same negative feelings, prompting to resume procrastinating
  * Both writer's block and procrastination are addictions?

* Weinberg suggests the Fieldstone method can break this cycle.
  * The method gives you something to always do when you feel stuck, to keep moving forward.

## Fieldstone method

Fieldstone
: A little bit of writing, an idea, a photo, a diagram, a quote, a reference that just sounds interesting.

### Gathering stones

* The Energy Principle: Your emotional response should drive which fieldstones you pick.
  * It is okay to skip a portion of a book if you feel drained by it, to go gather fieldstones in another portion of the book.
  * What stones you collect will be naturally influenced by what general type of writing you are trying to do.

* Carry a notebook, a phone with a note taking app, a tape recorder, anything with you at all times to write down stones.

* Try not to have any qualms making notes in most situations, to avoid losing interesting stones.

### Organizing stones

* It is okay to throw away stones.

* If a stone does not feel like it fits in the current writing but you do not want to throw away, keep it in a general pile of stones.

* Having the stones materialized as notecards that you can shuffle around can help with quickly reorganizing.

## Writing journal

* Used in almost every writing exercise of the book.

* Should be a nice notebook and a nice writing instrument.
  * > You are a special person, and your writing part is a special part of you, so you deserve this treat.
  * Craftspeople make sure to get good tools, so you should get good writing tools too.

* The exercise at the end of chapter 3 uses it to spot addiction cycles.

## Quotes

> Writing about a subject is one of the best ways to learn about it.

> One way for smart people to be happy is to express themselves, to put out in the world the vast melange of thoughts and feelings whirling in their heads.

> Never attempt to write what you don't care about.

> Every day is different; every idea is different; every mood is different; so why should every project be the same?

> There are no bad ideas, only ideas that don't fit the current work.
